{
  description = "GnuCobol derivation as a flake";

  inputs.nixpkgs.url = "github:NixOS/nixpkgs";

  outputs = { self, nixpkgs }: {
    packages.x86_64-linux.gnu-cobol = let
      pkgs = import nixpkgs { system = "x86_64-linux"; };
    in pkgs.stdenv.mkDerivation {
      pname = "gnucobol";
      version = "3.2";

      src = pkgs.fetchurl {
        url = "https://sourceforge.net/projects/gnucobol/files/gnucobol/3.2/gnucobol-3.2.tar.gz";
        sha256 = "abd657e581c14558c79d4e8974b7830f0204bd272b5a2a4a397cfea3b278e524";
      };

      buildInputs = [ pkgs.makeWrapper ];

      buildPhase = ''
        ./configure --prefix=$out
        make
      '';

      installPhase = ''
        make install
      '';

      meta = with pkgs.lib; {
        description = "GNU Cobol compiler";
        license = licenses.gpl3;
        maintainers = with maintainers; [ yourGitHubUsername ];
      };
    };
  };
}

